Set additional data for your business
curl --request POST \
--url https://api.partoo.co/v2/business/{business_id}/additional_data \
--header 'Content-Type: application/json' \
--header 'x-APIKey: <api-key>' \
--data '
{
"additionnal_data_1": "Some data",
"additionnal_data_2": 3.1415
}
'import requests
url = "https://api.partoo.co/v2/business/{business_id}/additional_data"
payload = {
"additionnal_data_1": "Some data",
"additionnal_data_2": 3.1415
}
headers = {
"x-APIKey": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-APIKey': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({additionnal_data_1: 'Some data', additionnal_data_2: 3.1415})
};
fetch('https://api.partoo.co/v2/business/{business_id}/additional_data', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "success",
"id": "5409c35a97bbc544d8e26737"
}{
"errors": {
"authentication": "User not authenticated"
}
}{
"errors": {
"authorization": "Operation not allowed"
}
}{
"errors": {
"json": "Resource not found"
}
}Businesses
Set additional data for your business
This endpoint lets you set additional data on a business. You need to have WRITE access on this business. Additional is a flat object with at most 10 keys.
POST
/
business
/
{business_id}
/
additional_data
Set additional data for your business
Authorizations
The authentication system on Partoo API is using API Key that should be put in the header of the request (the name of the header is x-APIKey). An api_key is linked to a user. This user's role will give you different access level to the API features.
Path Parameters
Business id.
It may be replaced by c-{code} where code is the store code, which should be unique per organization. This can be used only for ORG_ADMIN, GROUP_MANAGER and BUSINESS_MANAGER users.
Body
application/json
Was this page helpful?